Bug 203986 - [patch] devel/gnu-efi: Update to 3.0.3
Summary: [patch] devel/gnu-efi: Update to 3.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Edward Tomasz Napierala
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-10-23 15:12 UTC by Torsten Zühlsdorff
Modified: 2016-06-23 11:26 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (trasz)


Attachments
patch with update to 3.0.3 (3.03 KB, patch)
2015-10-23 15:12 UTC, Torsten Zühlsdorff
no flags Details | Diff
poudriere log (42.94 KB, text/x-log)
2015-10-23 15:13 UTC, Torsten Zühlsdorff
no flags Details
qemu/UEFI howto (2.54 KB, text/plain)
2015-10-30 14:09 UTC, Edward Tomasz Napierala
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-10-23 15:12:56 UTC
Created attachment 162396 [details]
patch with update to 3.0.3

Hello,

attached a patch which updates this port to current version 3.0.3. While there:
- recreate patches with make makepatch
- add stripping of lib/crt0-efi-x86_64.o
-> make portlint happy

Greetings,
Torsten
Comment 1 Torsten Zühlsdorff 2015-10-23 15:13:14 UTC
Created attachment 162397 [details]
poudriere log
Comment 2 Edward Tomasz Napierala freebsd_committer 2015-10-25 07:56:15 UTC
Thanks!  Have you run-time tested it, by eg. building sysutils/shim and making sure it still works (as in, is bootable)?

Would you perhaps be interested in taking ownership of this port, btw?
Comment 3 Torsten Zühlsdorff 2015-10-30 10:17:25 UTC
(In reply to Edward Tomasz Napierala from comment #2)

> Thanks!  Have you run-time tested it, by eg. building sysutils/shim and making 
> sure it still works (as in, is bootable)?

No - i didn't do a runtime test for this. But i will do. Currently i'm very short on time, but i will perform this next week.

> Would you perhaps be interested in taking ownership of this port, btw?

Originally i just wanted to reduce the number of outdated software in the portstree. ;) 

But this one sounds very interesting. Therefore: yes, i am interested in taking ownership :)
Comment 4 Edward Tomasz Napierala freebsd_committer 2015-10-30 14:09:16 UTC
Ok.  If I could suggest a test plan, that would be building a shim and sbsigntool, creating an msdos partition with shim.efi, booting a qemu with UEFI firmware and making sure the shim can properly run.  I'm attaching a small HOWTO that shows the last step.

If it works - great, I can commit it.  Then the port is yours :-)
Comment 5 Edward Tomasz Napierala freebsd_committer 2015-10-30 14:09:52 UTC
Created attachment 162599 [details]
qemu/UEFI howto
Comment 6 Torsten Zühlsdorff 2015-11-13 10:36:24 UTC
Edward,

i am sorry for the delay! I've read your howto - its great. Based on it i decided to create an virtual machine for testing. This needed a while and the vm sadly rendered unusable after just a day and of course before i could finish.

So - i did not forget the request. But i will need some more days to check everything. I'm sorry about that.
Comment 7 Edward Tomasz Napierala freebsd_committer 2015-11-14 14:42:49 UTC
Sure thing, no hurry :-)
Comment 8 Edward Tomasz Napierala freebsd_committer 2016-01-09 17:59:23 UTC
Hi.  Any news on this?
Comment 9 Torsten Zühlsdorff 2016-01-22 10:17:25 UTC
I'm sorry, i completely lost track about this PR. Will do this before any other PR! My apologies!
Comment 10 Torsten Zühlsdorff 2016-01-29 10:36:46 UTC
Hello Edward,

i finally got some progress. But i did not come too far. Following your howto i am stucking at step 4. I could not find "uefikeys". Where is it located?

Same for "uefisign". But here i already know that it was introduced in FreeBSD 10.2 and is just missing in 10.1.

I certainly doubt, that i will be a good maintainer for this port. :/ But lets finish this. Can you help me?

Greetings,
Torsten
Comment 11 Edward Tomasz Napierala freebsd_committer 2016-01-30 14:55:39 UTC
The location of uefikeys (/usr/share/examples/uefisign/uefikeys) is described in uefisign manual page :-)  It's basically a script to generate a certificate and the keys, it came with uefisign.
Comment 12 Torsten Zühlsdorff 2016-03-04 12:35:42 UTC
Finally i find more time for this PR :)

I follow your HOWTO but some deviations were needed. So i am not really sure, if i did all correctly. But yes, it worked :)
Comment 13 commit-hook freebsd_committer 2016-06-22 09:51:31 UTC
A commit references this bug:

Author: trasz
Date: Wed Jun 22 09:51:14 UTC 2016
New revision: 417296
URL: https://svnweb.freebsd.org/changeset/ports/417296

Log:
  Update devel/gnu-efi to 3.0.3.

  PR:		203986
  Submitted by:	Torsten Z?hlsdorff <ports at toco-domains.de>
  MFC after:	1 month

Changes:
  head/devel/gnu-efi/Makefile
  head/devel/gnu-efi/distinfo
  head/devel/gnu-efi/files/patch-Make.defaults
  head/devel/gnu-efi/files/patch-Makefile
  head/devel/gnu-efi/files/patch-gnuefi-Makefile
  head/devel/gnu-efi/pkg-plist
Comment 14 Edward Tomasz Napierala freebsd_committer 2016-06-22 09:53:10 UTC
Sorry it took so long.  It's your port now.  Have fun :-)
Comment 15 commit-hook freebsd_committer 2016-06-23 11:26:31 UTC
A commit references this bug:

Author: tz
Date: Thu Jun 23 11:26:19 UTC 2016
New revision: 417363
URL: https://svnweb.freebsd.org/changeset/ports/417363

Log:
  devel/gnu-efi: switch maintainer from <ports@toco-domains.de to <tz@FreeBSD.org>

  The long running PR 203986 included a maintainer-change but the patch still contained my old email address.

  PR:          203986
  Approved by: junovitch (mentor)

Changes:
  head/devel/gnu-efi/Makefile